Skip to main content
Platform O&M/Backup Management/Backup Service (Plus)/Backup Service Operations
DELETEBackup Service OperationsSince 3.0.0SynchronousAuth Required

DeleteExportedDatabaseBackupFromBackupStorage

DeleteExportedDatabaseBackupFromBackupStorage

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • backupStorageUuidStringRequired

    The UUID of the backup storage.

  • databaseBackupUuidStringRequired

    No description provided.

Body Fields

  • systemTagsList

    Optional.

  • userTagsList

    Optional.

Responses

DELETE endpoints return an empty object on success, or a standard error structure on failure.

Success Response

{}

Error Response

{
  "error": {
    "code": "SYS.1001",
    "description": "A message or a operation timeout",
    "details": "Delete resource timeout after 300s"
  }
}

Endpoint

DELETE/zstack/v1/exported-database-backup/{databaseBackupUuid}/backup-storage/{backupStorageUuid}

/zstack/v1/exported-database-backup/{databaseBackupUuid}/backup-storage/{backupStorageUuid}

Operation ID

DeleteExportedDatabaseBackupFromBackupStorage

Permalink

Request Example

curl -X DELETE 'http://{host}/zstack/v1/exported-database-backup/{databaseBackupUuid}/backup-storage/{backupStorageUuid}' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{}

Change History

This API has no change history records yet.

View all change history